//+------------------------------------------------------------------+
//|                                                  AOchartbars.mq4 |
//|                                                          masemus |
//|                                       Gresik_JawaTimur_Indonesia |
//+------------------------------------------------------------------+

#property copyright "masemus"
#property link      "Gresik_JawaTimur_Indonesia"

#property indicator_chart_window

#property indicator_buffers 8
#property indicator_color1 Blue//wick
#property indicator_color2 Red//wick
#property indicator_color3 Blue//candle
#property indicator_color4 Red//candle
#property indicator_color5 LightSkyBlue//wick
#property indicator_color6 LightPink//wick
#property indicator_color7 LightSkyBlue//candle
#property indicator_color8 LightPink//candle
#property indicator_width1 1
#property indicator_width2 1
#property indicator_width3 2
#property indicator_width4 2
#property indicator_width5 1
#property indicator_width6 1
#property indicator_width7 2
#property indicator_width8 2

//****************************************
//---- input parameters
extern int FastMA       = 5;
extern int SlowMA       = 34;
extern int MA_Mode      = MODE_SMA;
extern int MA_PriceType = PRICE_MEDIAN;
extern int BarWidth     = 1;
extern int CandleWidth  = 2;
extern bool indicatorName      = true; 
extern bool Dashboard_BBAO     = true; 
extern int BBperiode           = 10;
extern double StDv             = 1;
extern color Spread_clr        = Aqua;
extern color xCandle_clr       = LimeGreen;
extern color upBUY_clr         = Blue;
extern color dnSELL_clr        = Red;
extern color flatEXIT_clr      = Silver;
extern int Mywindow            = 0;
extern int Mycorner            = 3;

//---- buffers
double Bar1[], Bar2[], Bar3[], Bar4[],
		 Candle1[], Candle2[], Candle3[], Candle4[];

//****************************************

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

	IndicatorBuffers(8);
//---- AO
	SetIndexBuffer(0,Bar1);
	SetIndexBuffer(1,Bar2);				
	SetIndexBuffer(2,Candle1);
	SetIndexBuffer(3,Candle2);
	SetIndexBuffer(4,Bar3);
	SetIndexBuffer(5,Bar4);				
	SetIndexBuffer(6,Candle3);
	SetIndexBuffer(7,Candle4);
	SetIndexStyle(0,DRAW_HISTOGRAM,0,BarWidth);
	SetIndexStyle(1,DRAW_HISTOGRAM,0,BarWidth);
	SetIndexStyle(2,DRAW_HISTOGRAM,0,CandleWidth);
	SetIndexStyle(3,DRAW_HISTOGRAM,0,CandleWidth);
	SetIndexStyle(4,DRAW_HISTOGRAM,0,BarWidth);
	SetIndexStyle(5,DRAW_HISTOGRAM,0,BarWidth);
	SetIndexStyle(6,DRAW_HISTOGRAM,0,CandleWidth);
	SetIndexStyle(7,DRAW_HISTOGRAM,0,CandleWidth);

   return(0);
  }

//+------------------------------------------------------------------+
double MACD (int i = 0)	
       {return(iMA(NULL,0,FastMA,0,MA_Mode,MA_PriceType,i)
       -iMA(NULL,0,SlowMA,0,MA_Mode,MA_PriceType,i));}
//+------------------------------------------------------------------+
void SetCandleColor(int col, int i)
{
	double high,low,bodyHigh,bodyLow;


	{
		bodyHigh = MathMax(Open[i],Close[i]);
		bodyLow  = MathMin(Open[i],Close[i]);
		high		= High[i];
		low		= Low[i];
	}

	Bar1[i] = low;	Candle1[i] = bodyLow;
	Bar2[i] = low;	Candle2[i] = bodyLow;
	Bar3[i] = low;	Candle3[i] = bodyLow;
	Bar4[i] = low;	Candle4[i] = bodyLow;
	

	switch(col)
	{
		case 1: 	Bar1[i] = high;	Candle1[i] = bodyHigh;	break;
		case 2: 	Bar2[i] = high;	Candle2[i] = bodyHigh;	break;
		case 3: 	Bar3[i] = high;	Candle3[i] = bodyHigh;	break;
		case 4: 	Bar4[i] = high;	Candle4[i] = bodyHigh;	break;
	
	}
}

//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   ObjectsDeleteAll(0,OBJ_LABEL);
   ObjectsDeleteAll(Mywindow,OBJ_LABEL);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
	for(int i = MathMax(Bars-1-IndicatorCounted(),1); i>=0; i--)
	{
		double	c_macd	= MACD(i);
		double	p_macd	= MACD(i+1);
				

		if((c_macd > p_macd)&&(c_macd > 0)) {SetCandleColor(1,i);}
		if((c_macd < p_macd)&&(c_macd < 0)) {SetCandleColor(2,i);}
		if((c_macd > p_macd)&&(c_macd < 0)) {SetCandleColor(3,i);}
		if((c_macd < p_macd)&&(c_macd > 0)) {SetCandleColor(4,i);}
	}

//----
      if(indicatorName){
           ObjectCreate("AOcbars_00", OBJ_LABEL, 0, 0, 0);
   ObjectSet("AOcbars_00", OBJPROP_CORNER, 2);
   ObjectSetText("AOcbars_00", "AO_ChartBars", 8, "Trebuchet MS", Gray);
   ObjectSet("AOcbars_00", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_00", OBJPROP_YDISTANCE, 9); 
      }
//*****************************************************************************************************
   double S_cM1 = iMA(NULL,1,FastMA,0,MA_Mode,MA_PriceType,0)
                  -iMA(NULL,1,SlowMA,0,MA_Mode,MA_PriceType,0);
   double S_cM5 = iMA(NULL,5,FastMA,0,MA_Mode,MA_PriceType,0)
                  -iMA(NULL,5,SlowMA,0,MA_Mode,MA_PriceType,0);
   double S_cM15 = iMA(NULL,15,FastMA,0,MA_Mode,MA_PriceType,0)
                   -iMA(NULL,15,SlowMA,0,MA_Mode,MA_PriceType,0);
   double S_cM30 = iMA(NULL,30,FastMA,0,MA_Mode,MA_PriceType,0)
                   -iMA(NULL,30,SlowMA,0,MA_Mode,MA_PriceType,0);
   double S_cH1 = iMA(NULL,60,FastMA,0,MA_Mode,MA_PriceType,0)
                  -iMA(NULL,60,SlowMA,0,MA_Mode,MA_PriceType,0);
   double S_cH4 = iMA(NULL,240,FastMA,0,MA_Mode,MA_PriceType,0)
                  -iMA(NULL,240,SlowMA,0,MA_Mode,MA_PriceType,0);
   
   double S_pM1 = iMA(NULL,1,FastMA,0,MA_Mode,MA_PriceType,1)
                  -iMA(NULL,1,SlowMA,0,MA_Mode,MA_PriceType,1);
   double S_pM5 = iMA(NULL,5,FastMA,0,MA_Mode,MA_PriceType,1)
                  -iMA(NULL,5,SlowMA,0,MA_Mode,MA_PriceType,1);
   double S_pM15 = iMA(NULL,15,FastMA,0,MA_Mode,MA_PriceType,1)
                   -iMA(NULL,15,SlowMA,0,MA_Mode,MA_PriceType,1);
   double S_pM30 = iMA(NULL,30,FastMA,0,MA_Mode,MA_PriceType,1)
                   -iMA(NULL,30,SlowMA,0,MA_Mode,MA_PriceType,1);
   double S_pH1 = iMA(NULL,60,FastMA,0,MA_Mode,MA_PriceType,1)
                  -iMA(NULL,60,SlowMA,0,MA_Mode,MA_PriceType,1);
   double S_pH4 = iMA(NULL,240,FastMA,0,MA_Mode,MA_PriceType,1)
                  -iMA(NULL,240,SlowMA,0,MA_Mode,MA_PriceType,1);
   
   double avg_M1 = iMAOnArray(S_cM1,0,BBperiode,0,MA_Mode,0);
   double avg_M5 = iMAOnArray(S_cM5,0,BBperiode,0,MA_Mode,0);
   double avg_M15 = iMAOnArray(S_cM15,0,BBperiode,0,MA_Mode,0);
   double avg_M30 = iMAOnArray(S_cM30,0,BBperiode,0,MA_Mode,0);
   double avg_H1 = iMAOnArray(S_cH1,0,BBperiode,0,MA_Mode,0);
   double avg_H4 = iMAOnArray(S_cH4,0,BBperiode,0,MA_Mode,0);

   double sDev_M1 = iStdDevOnArray(S_cM1,0,BBperiode,0,MA_Mode,0);
   double sDev_M5 = iStdDevOnArray(S_cM5,0,BBperiode,0,MA_Mode,0);
   double sDev_M15 = iStdDevOnArray(S_cM15,0,BBperiode,0,MA_Mode,0);
   double sDev_M30 = iStdDevOnArray(S_cM30,0,BBperiode,0,MA_Mode,0);
   double sDev_H1 = iStdDevOnArray(S_cH1,0,BBperiode,0,MA_Mode,0);
   double sDev_H4 = iStdDevOnArray(S_cH4,0,BBperiode,0,MA_Mode,0);

   string S_m1 = "", S_m5 = "", S_m15 = "", S_m30 = "", S_h1 = "", S_h4 = "",
          T_m1 = "", T_m5 = "", T_m15 = "", T_m30 = "", T_h1 = "", T_h4 = "",
          V_m1 = "", V_m5 = "", V_m15 = "", V_m30 = "", V_h1 = "", V_h4 = "",
          upBB_m1 = "", upBB_m5 = "", upBB_m15 = "", upBB_m30 = "", upBB_h1 = "", upBB_h4 = "",
          loBB_m1 = "", loBB_m5 = "", loBB_m15 = "", loBB_m30 = "", loBB_h1 = "", loBB_h4 = "",
          midBB_m1 = "", midBB_m5 = "", midBB_m15 = "", midBB_m30 = "", midBB_h1 = "", midBB_h4 = "",
          BS_m1 = "", BS_m5 = "", BS_m15 = "", BS_m30 = "", BS_h1 = "", BS_h4 = "";
   color  Sclr_m1, Sclr_m5, Sclr_m15, Sclr_m30, Sclr_h1, Sclr_h4,
          Tclr_m1, Tclr_m5, Tclr_m15, Tclr_m30, Tclr_h1, Tclr_h4,
          BSclr_m1, BSclr_m5, BSclr_m15, BSclr_m30, BSclr_h1, BSclr_h4;
   
   V_m1 = DoubleToStr(S_cM1,Digits+1);
   V_m5 = DoubleToStr(S_cM5,Digits+1);
   V_m15 = DoubleToStr(S_cM15,Digits+1);
   V_m30 = DoubleToStr(S_cM30,Digits+1);
   V_h1 = DoubleToStr(S_cH1,Digits+1);
   V_h4 = DoubleToStr(S_cH4,Digits+1);

   upBB_m1 = DoubleToStr((avg_M1 + (StDv * sDev_M1)), Digits+1);  // Upperband 
   upBB_m5 = DoubleToStr((avg_M5 + (StDv * sDev_M5)), Digits+1);  // Upperband 
   upBB_m15 = DoubleToStr((avg_M15 + (StDv * sDev_M15)), Digits+1);  // Upperband 
   upBB_m30 = DoubleToStr((avg_M30 + (StDv * sDev_M30)), Digits+1);  // Upperband 
   upBB_h1 = DoubleToStr((avg_H1 + (StDv * sDev_H1)), Digits+1);  // Upperband 
   upBB_h4 = DoubleToStr((avg_H4 + (StDv * sDev_H4)), Digits+1);  // Upperband 

   loBB_m1 = DoubleToStr((avg_M1 - (StDv * sDev_M1)), Digits+1);  // Lowerband
   loBB_m5 = DoubleToStr((avg_M5 - (StDv * sDev_M5)), Digits+1);  // Lowerband
   loBB_m15 = DoubleToStr((avg_M15 - (StDv * sDev_M15)), Digits+1);  // Lowerband
   loBB_m30 = DoubleToStr((avg_M30 - (StDv * sDev_M30)), Digits+1);  // Lowerband
   loBB_h1 = DoubleToStr((avg_H1 - (StDv * sDev_H1)), Digits+1);  // Lowerband
   loBB_h4 = DoubleToStr((avg_H4 - (StDv * sDev_H4)), Digits+1);  // Lowerband

   midBB_m1 = DoubleToStr(avg_M1, Digits+1) ;  // Midleband
   midBB_m5 = DoubleToStr(avg_M5, Digits+1) ;  // Midleband
   midBB_m15 = DoubleToStr(avg_M15, Digits+1) ;  // Midleband
   midBB_m30 = DoubleToStr(avg_M30, Digits+1) ;  // Midleband
   midBB_h1 = DoubleToStr(avg_H1, Digits+1) ;  // Midleband
   midBB_h4 = DoubleToStr(avg_H4, Digits+1) ;  // Midleband

   if (S_cM1 < S_pM1) { S_m1 = "n"; Sclr_m1 = dnSELL_clr; }
   if (S_cM1 > S_pM1) { S_m1 = "n"; Sclr_m1 = upBUY_clr; }
   if (S_cM1 == S_pM1) { S_m1 = "g"; Sclr_m1 = flatEXIT_clr; }
   if (S_cM1 < 0) { T_m1 = "6"; Tclr_m1 = dnSELL_clr; }
   if (S_cM1 > 0) { T_m1 = "5"; Tclr_m1 = upBUY_clr; }
   if (S_cM1 == 0) { T_m1 = "="; Tclr_m1 = flatEXIT_clr; }

   if (S_cM5 < S_pM5) { S_m5 = "n"; Sclr_m5 = dnSELL_clr; }
   if (S_cM5 > S_pM5) { S_m5 = "n"; Sclr_m5 = upBUY_clr; }
   if (S_cM5 == S_pM5) { S_m5 = "g"; Sclr_m5 = flatEXIT_clr; }
   if (S_cM5 < 0) { T_m5 = "6"; Tclr_m5 = dnSELL_clr; }
   if (S_cM5 > 0) { T_m5 = "5"; Tclr_m5 = upBUY_clr; }
   if (S_cM5 == 0) { T_m5 = "="; Tclr_m5 = flatEXIT_clr; }
   
   if (S_cM15 < S_pM15) { S_m15 = "n"; Sclr_m15 = dnSELL_clr; }
   if (S_cM15 > S_pM15) { S_m15 = "n"; Sclr_m15 = upBUY_clr; }
   if (S_cM15 == S_pM15) { S_m15 = "g"; Sclr_m15 = flatEXIT_clr; }
   if (S_cM15 < 0) { T_m15 = "6"; Tclr_m15 = dnSELL_clr; }
   if (S_cM15 > 0) { T_m15 = "5"; Tclr_m15 = upBUY_clr; }
   if (S_cM15 == 0) { T_m15 = "="; Tclr_m15 = flatEXIT_clr; }
      
   if (S_cM30 < S_pM30) { S_m30 = "n"; Sclr_m30 = dnSELL_clr; }
   if (S_cM30 > S_pM30) { S_m30 = "n"; Sclr_m30 = upBUY_clr; }
   if (S_cM30 == S_pM30) { S_m30 = "g"; Sclr_m30 = flatEXIT_clr; }
   if (S_cM30 < 0) { T_m30 = "6"; Tclr_m30 = dnSELL_clr; }
   if (S_cM30 > 0) { T_m30 = "5"; Tclr_m30 = upBUY_clr; }
   if (S_cM30 == 0) { T_m30 = "="; Tclr_m30 = flatEXIT_clr; }
   
   if (S_cH1 < S_pH1) { S_h1 = "n"; Sclr_h1 = dnSELL_clr; }
   if (S_cH1 > S_pH1) { S_h1 = "n"; Sclr_h1 = upBUY_clr; }
   if (S_cH1 == S_pH1) { S_h1 = "g"; Sclr_h1 = flatEXIT_clr; }
   if (S_cH1 < 0) { T_h1 = "6"; Tclr_h1 = dnSELL_clr; }
   if (S_cH1 > 0) { T_h1 = "5"; Tclr_h1 = upBUY_clr; }
   if (S_cH1 == 0) { T_h1 = "="; Tclr_h1 = flatEXIT_clr; }
   
   if (S_cH4 < S_pH4) { S_h4 = "n"; Sclr_h4 = dnSELL_clr; }
   if (S_cH4 > S_pH4) { S_h4 = "n"; Sclr_h4 = upBUY_clr; }
   if (S_cH4 == S_pH4) { S_h4 = "g"; Sclr_h4 = flatEXIT_clr; }
   if (S_cH4 < 0) { T_h4 = "6"; Tclr_h4 = dnSELL_clr; }
   if (S_cH4 > 0) { T_h4 = "5"; Tclr_h4 = upBUY_clr; }
   if (S_cH4 == 0) { T_h4 = "="; Tclr_h4 = flatEXIT_clr; }

   if ((S_cM1 < S_pM1)&&(V_m1 < loBB_m1)) { BS_m1 = "LowerBB"; BSclr_m1 = dnSELL_clr; }
   if ((S_cM1 > S_pM1)&&(V_m1 > upBB_m1)) { BS_m1 = "UpperBB"; BSclr_m1 = upBUY_clr; }
   
   if ((S_cM5 < S_pM5)&&(V_m5 < loBB_m5)) { BS_m5 = "LowerBB"; BSclr_m5 = dnSELL_clr; }
   if ((S_cM5 > S_pM5)&&(V_m5 > upBB_m5)) { BS_m5 = "UpperBB"; BSclr_m5 = upBUY_clr; }
   
   if ((S_cM15 < S_pM15)&&(V_m15 < loBB_m15)) { BS_m15 = "LowerBB"; BSclr_m15 = dnSELL_clr; }
   if ((S_cM15 > S_pM15)&&(V_m15 > upBB_m15)) { BS_m15 = "UpperBB"; BSclr_m15 = upBUY_clr; }
   
   if ((S_cM30 < S_pM30)&&(V_m30 < loBB_m30)) { BS_m30 = "LowerBB"; BSclr_m30 = dnSELL_clr; }
   if ((S_cM30 > S_pM30)&&(V_m30 > upBB_m30)) { BS_m30 = "UpperBB"; BSclr_m30 = upBUY_clr; }
   
   if ((S_cH1 < S_pH1)&&(V_h1 < loBB_h1)) { BS_h1 = "LowerBB"; BSclr_h1 = dnSELL_clr; }
   if ((S_cH1 > S_pH1)&&(V_h1 > upBB_h1)) { BS_h1 = "UpperBB"; BSclr_h1 = upBUY_clr; }
   
   if ((S_cH4 < S_pH4)&&(V_h4 < midBB_h4)) { BS_h4 = "LowerBB"; BSclr_h4 = dnSELL_clr; }
   if ((S_cH4 > S_pH4)&&(V_h4 > midBB_h4)) { BS_h4 = "UpperBB"; BSclr_h4 = upBUY_clr; }
   
//*****************************************************************************************************
   string Teks="", Teks_Menit, Teks_Detik;
   double d_A, d_B;

   //Time for Next Candle
   d_B = (Time[4]-Time[5])-MathMod(CurTime(),Time[4]-Time[5]);
   d_A = d_B/60;
   d_B = (d_A-MathFloor(d_A))*60;
   d_A = MathFloor(d_A);
   Teks_Menit = DoubleToStr(d_A,0);
   Teks_Detik = DoubleToStr(d_B,0);
   Teks=Teks_Menit+":"+Teks_Detik;

   //Price
   double Price1 = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0);   
    Teks=DoubleToStr(Price1,Digits);

   string HI="",LO="",SPREAD="",PIPS="",HILO="",Pips="";
   color color_pip,color_av;
   double Open_Today = iOpen(NULL,1440,0);
   double CLOSE = iClose(NULL,1440,0);
   double SPRD = (Ask - Bid)/Point;
   double High_Today = iHigh(NULL,1440,0);
   double Low_Today = iLow(NULL,1440,0);
   PIPS =  DoubleToStr((CLOSE-Open_Today)/Point,0);
   SPREAD = (DoubleToStr(SPRD,Digits-5));
   HILO = DoubleToStr((High_Today-Low_Today)/Point,0);
   HI =  (DoubleToStr(High_Today,Digits));
   LO =  (DoubleToStr(Low_Today,Digits));

//*****************************************************************************************************
      if(Dashboard_BBAO){
           ObjectCreate("AOcbars_01", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSetText("AOcbars_01", Symbol(), 12, "Arial",  Tclr_m15);
   ObjectSet("AOcbars_01", OBJPROP_CORNER, Mycorner);
   ObjectSet("AOcbars_01", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_01", OBJPROP_YDISTANCE, 135);  

           ObjectCreate("AOcbars_02", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSetText("AOcbars_02",""+Teks+"", 18, "Arial Narrow",  Sclr_m15);
   ObjectSet("AOcbars_02", OBJPROP_CORNER, Mycorner);
   ObjectSet("AOcbars_02", OBJPROP_XDISTANCE, 40);
   ObjectSet("AOcbars_02", OBJPROP_YDISTANCE, 107);  

           ObjectCreate("AOcbars_03", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSetText("AOcbars_03",""+SPREAD+"", 9, "Arial Bold",  Spread_clr);
   ObjectSet("AOcbars_03", OBJPROP_CORNER, Mycorner);
   ObjectSet("AOcbars_03", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_03", OBJPROP_YDISTANCE, 110);  

           ObjectCreate("AOcbars_04", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSetText("AOcbars_04",""+PIPS+"", 9, "Arial Bold",  Sclr_h1);
   ObjectSet("AOcbars_04", OBJPROP_CORNER, Mycorner);
   ObjectSet("AOcbars_04", OBJPROP_XDISTANCE, 40);
   ObjectSet("AOcbars_04", OBJPROP_YDISTANCE, 97);  

           ObjectCreate("AOcbars_05", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSetText("AOcbars_05",""+HILO+"", 9, "Arial Bold",  Tclr_h1);
   ObjectSet("AOcbars_05", OBJPROP_CORNER, Mycorner);
   ObjectSet("AOcbars_05", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_05", OBJPROP_YDISTANCE, 97);  

           ObjectCreate("AOcbars_06", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_06", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_06", Teks_Menit+":"+Teks_Detik, 9, "Arial Bold", xCandle_clr);
   ObjectSet("AOcbars_06", OBJPROP_XDISTANCE, 75);
   ObjectSet("AOcbars_06", OBJPROP_YDISTANCE, 97); 

           ObjectCreate("AOcbars_07", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_07", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_07", "-------------------------", 9, "Trebuchet MS", Gold);
   ObjectSet("AOcbars_07", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_07", OBJPROP_YDISTANCE, 82); 

           ObjectCreate("AOcbars_08", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_08", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_08", T_m1, 16, "Webdings",Tclr_m1);
   ObjectSet("AOcbars_08", OBJPROP_XDISTANCE, 87);
   ObjectSet("AOcbars_08", OBJPROP_YDISTANCE, 15); 
           ObjectCreate("AOcbars_09", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_09", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_09", T_m5, 16, "Webdings",Tclr_m5);
   ObjectSet("AOcbars_09", OBJPROP_XDISTANCE, 87);
   ObjectSet("AOcbars_09", OBJPROP_YDISTANCE, 25); 
           ObjectCreate("AOcbars_10", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_10", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_10", T_m15, 16, "Webdings",Tclr_m15);
   ObjectSet("AOcbars_10", OBJPROP_XDISTANCE, 87);
   ObjectSet("AOcbars_10", OBJPROP_YDISTANCE, 35); 
           ObjectCreate("AOcbars_11", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_11", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_11", T_m30, 16, "Webdings",Tclr_m30);
   ObjectSet("AOcbars_11", OBJPROP_XDISTANCE, 87);
   ObjectSet("AOcbars_11", OBJPROP_YDISTANCE, 45); 
           ObjectCreate("AOcbars_12", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_12", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_12", T_h1, 16, "Webdings",Tclr_h1);
   ObjectSet("AOcbars_12", OBJPROP_XDISTANCE, 87);
   ObjectSet("AOcbars_12", OBJPROP_YDISTANCE, 55); 
           ObjectCreate("AOcbars_13", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_13", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_13", T_h4, 16, "Webdings",Tclr_h4);
   ObjectSet("AOcbars_13", OBJPROP_XDISTANCE, 87);
   ObjectSet("AOcbars_13", OBJPROP_YDISTANCE, 65); 

           ObjectCreate("AOcbars_14", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_14", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_14", S_m1, 5, "Webdings",Sclr_m1);
   ObjectSet("AOcbars_14", OBJPROP_XDISTANCE, 80);
   ObjectSet("AOcbars_14", OBJPROP_YDISTANCE, 23); 
           ObjectCreate("AOcbars_15", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_15", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_15", S_m5, 5, "Webdings",Sclr_m5);
   ObjectSet("AOcbars_15", OBJPROP_XDISTANCE, 80);
   ObjectSet("AOcbars_15", OBJPROP_YDISTANCE, 33); 
           ObjectCreate("AOcbars_16", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_16", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_16", S_m15, 5, "Webdings",Sclr_m15);
   ObjectSet("AOcbars_16", OBJPROP_XDISTANCE, 80);
   ObjectSet("AOcbars_16", OBJPROP_YDISTANCE, 43); 
           ObjectCreate("AOcbars_17", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_17", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_17", S_m30, 5, "Webdings",Sclr_m30);
   ObjectSet("AOcbars_17", OBJPROP_XDISTANCE, 80);
   ObjectSet("AOcbars_17", OBJPROP_YDISTANCE, 53); 
           ObjectCreate("AOcbars_18", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_18", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_18", S_h1, 5, "Webdings",Sclr_h1);
   ObjectSet("AOcbars_18", OBJPROP_XDISTANCE, 80);
   ObjectSet("AOcbars_18", OBJPROP_YDISTANCE, 63); 
           ObjectCreate("AOcbars_19", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_19", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_19", S_h4, 5, "Webdings",Sclr_h4);
   ObjectSet("AOcbars_19", OBJPROP_XDISTANCE, 80);
   ObjectSet("AOcbars_19", OBJPROP_YDISTANCE, 73); 

           ObjectCreate("AOcbars_20", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_20", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_20", "M1", 8, "Arial",flatEXIT_clr);
   ObjectSet("AOcbars_20", OBJPROP_XDISTANCE, 55);
   ObjectSet("AOcbars_20", OBJPROP_YDISTANCE, 20); 
           ObjectCreate("AOcbars_21", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_21", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_21", "M5", 8, "Arial",flatEXIT_clr);
   ObjectSet("AOcbars_21", OBJPROP_XDISTANCE, 55);
   ObjectSet("AOcbars_21", OBJPROP_YDISTANCE, 30); 
           ObjectCreate("AOcbars_22", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_22", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_22", "M15", 8, "Arial",flatEXIT_clr);
   ObjectSet("AOcbars_22", OBJPROP_XDISTANCE, 55);
   ObjectSet("AOcbars_22", OBJPROP_YDISTANCE, 40); 
           ObjectCreate("AOcbars_23", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_23", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_23", "M30", 8, "Arial",flatEXIT_clr);
   ObjectSet("AOcbars_23", OBJPROP_XDISTANCE, 55);
   ObjectSet("AOcbars_23", OBJPROP_YDISTANCE, 50); 
           ObjectCreate("AOcbars_24", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_24", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_24", "H1", 8, "Arial",flatEXIT_clr);
   ObjectSet("AOcbars_24", OBJPROP_XDISTANCE, 55);
   ObjectSet("AOcbars_24", OBJPROP_YDISTANCE, 60); 
           ObjectCreate("AOcbars_25", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_25", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_25", "H4", 8, "Arial",flatEXIT_clr);
   ObjectSet("AOcbars_25", OBJPROP_XDISTANCE, 55);
   ObjectSet("AOcbars_25", OBJPROP_YDISTANCE, 70); 

           ObjectCreate("AOcbars_26", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_26", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_26", BS_m1, 8, "Arial",BSclr_m1);
   ObjectSet("AOcbars_26", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_26", OBJPROP_YDISTANCE, 20); 
           ObjectCreate("AOcbars_27", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_27", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_27", BS_m5, 8, "Arial",BSclr_m5);
   ObjectSet("AOcbars_27", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_27", OBJPROP_YDISTANCE, 30); 
           ObjectCreate("AOcbars_28", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_28", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_28", BS_m15, 8, "Arial",BSclr_m15);
   ObjectSet("AOcbars_28", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_28", OBJPROP_YDISTANCE, 40); 
           ObjectCreate("AOcbars_29", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_29", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_29", BS_m30, 8, "Arial",BSclr_m30);
   ObjectSet("AOcbars_29", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_29", OBJPROP_YDISTANCE, 50); 
           ObjectCreate("AOcbars_30", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_30", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_30", BS_h1, 8, "Arial",BSclr_h1);
   ObjectSet("AOcbars_30", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_30", OBJPROP_YDISTANCE, 60); 
           ObjectCreate("AOcbars_31", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_31", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_31", BS_h4, 8, "Arial",BSclr_h4);
   ObjectSet("AOcbars_31", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_31", OBJPROP_YDISTANCE, 70); 

           ObjectCreate("AOcbars_32", OBJ_LABEL, Mywindow, 0, 0);
   ObjectSet("AOcbars_32", OBJPROP_CORNER, Mycorner);
   ObjectSetText("AOcbars_32", "-------------------------", 9, "Trebuchet MS", Gold);
   ObjectSet("AOcbars_32", OBJPROP_XDISTANCE, 9);
   ObjectSet("AOcbars_32", OBJPROP_YDISTANCE, 5); 
      }
//---- done

   return(0);
  }
//+------------------------------------------------------------------+



